<VirtualHost *:80>
  ServerName <%= @domain_name %>

  RewriteEngine On
  RewriteCond %{SERVER_NAME} =<%= @domain_name %>
  RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>
<VirtualHost *:443>
  ServerName <%= @domain_name %>
  DocumentRoot /var/www/html

  Include /usr/lib/python3/dist-packages/certbot_apache/options-ssl-apache.conf

  SSLCertificateFile /etc/letsencrypt/live/<%= @domain_name %>/fullchain.pem
  SSLCertificateKeyFile /etc/letsencrypt/live/<%= @domain_name %>/privkey.pem

  ErrorLog ${APACHE_LOG_DIR}/<%= @domain_name %>.error.log
  CustomLog ${APACHE_LOG_DIR}/<%= @domain_name %>.access.log combined
</VirtualHost>
